package trdsql

var keywords = map[string]bool{
	"abort":                            true,
	"abs":                              true,
	"absolute":                         true,
	"accessible":                       true,
	"acos":                             true,
	"against":                          true,
	"aggregate":                        true,
	"algorithm":                        true,
	"all":                              true,
	"allocate":                         true,
	"alter":                            true,
	"analyse":                          true,
	"analyze":                          true,
	"and":                              true,
	"any":                              true,
	"are":                              true,
	"array":                            true,
	"array_agg":                        true,
	"array_max_cardinality":            true,
	"as":                               true,
	"asc":                              true,
	"ascii":                            true,
	"asensitive":                       true,
	"asin":                             true,
	"asymmetric":                       true,
	"at":                               true,
	"atan":                             true,
	"atomic":                           true,
	"attach":                           true,
	"authorization":                    true,
	"authors":                          true,
	"autoextend_size":                  true,
	"autoincrement":                    true,
	"auto_increment":                   true,
	"avg":                              true,
	"avg_row_length":                   true,
	"backup":                           true,
	"begin":                            true,
	"begin_frame":                      true,
	"begin_partition":                  true,
	"between":                          true,
	"bigint":                           true,
	"binary":                           true,
	"binlog":                           true,
	"bit":                              true,
	"bit_length":                       true,
	"blob":                             true,
	"block":                            true,
	"bool":                             true,
	"boolean":                          true,
	"both":                             true,
	"btree":                            true,
	"by":                               true,
	"byte":                             true,
	"cache":                            true,
	"call":                             true,
	"called":                           true,
	"cardinality":                      true,
	"cascaded":                         true,
	"case":                             true,
	"cast":                             true,
	"catalog_name":                     true,
	"ceil":                             true,
	"ceiling":                          true,
	"change":                           true,
	"changed":                          true,
	"char":                             true,
	"character":                        true,
	"character_length":                 true,
	"charset":                          true,
	"char_length":                      true,
	"check":                            true,
	"checksum":                         true,
	"cipher":                           true,
	"classifier":                       true,
	"class_origin":                     true,
	"client":                           true,
	"clob":                             true,
	"close":                            true,
	"coalesce":                         true,
	"code":                             true,
	"collate":                          true,
	"collation":                        true,
	"collect":                          true,
	"column":                           true,
	"column_format":                    true,
	"column_name":                      true,
	"comment":                          true,
	"commit":                           true,
	"compact":                          true,
	"completion":                       true,
	"compressed":                       true,
	"concurrent":                       true,
	"condition":                        true,
	"conflict":                         true,
	"connect":                          true,
	"consistent":                       true,
	"constraint":                       true,
	"constraint_catalog":               true,
	"constraint_name":                  true,
	"constraint_schema":                true,
	"contains":                         true,
	"context":                          true,
	"contributors":                     true,
	"convert":                          true,
	"copy":                             true,
	"corr":                             true,
	"corresponding":                    true,
	"cos":                              true,
	"cosh":                             true,
	"count":                            true,
	"covar_pop":                        true,
	"covar_samp":                       true,
	"cpu":                              true,
	"create":                           true,
	"cross":                            true,
	"cube":                             true,
	"cume_dist":                        true,
	"current":                          true,
	"current_catalog":                  true,
	"current_date":                     true,
	"current_default_transform_group":  true,
	"current_path":                     true,
	"current_role":                     true,
	"current_row":                      true,
	"current_schema":                   true,
	"current_time":                     true,
	"current_timestamp":                true,
	"current_transform_group_for_type": true,
	"current_user":                     true,
	"cursor":                           true,
	"cursor_name":                      true,
	"cycle":                            true,
	"database":                         true,
	"databases":                        true,
	"datafile":                         true,
	"datalink":                         true,
	"date":                             true,
	"datetime":                         true,
	"day":                              true,
	"day_hour":                         true,
	"day_microsecond":                  true,
	"day_minute":                       true,
	"day_second":                       true,
	"deallocate":                       true,
	"dec":                              true,
	"decfloat":                         true,
	"decimal":                          true,
	"declare":                          true,
	"default":                          true,
	"default_auth":                     true,
	"deferrable":                       true,
	"define":                           true,
	"delayed":                          true,
	"delay_key_write":                  true,
	"delete":                           true,
	"dense_rank":                       true,
	"deref":                            true,
	"desc":                             true,
	"describe":                         true,
	"descriptor":                       true,
	"des_key_file":                     true,
	"detach":                           true,
	"deterministic":                    true,
	"diagnostics":                      true,
	"directory":                        true,
	"disable":                          true,
	"discard":                          true,
	"disconnect":                       true,
	"disk":                             true,
	"distinct":                         true,
	"distinctrow":                      true,
	"div":                              true,
	"dlnewcopy":                        true,
	"dlpreviouscopy":                   true,
	"dlurlcomplete":                    true,
	"dlurlcompleteonly":                true,
	"dlurlcompletewrite":               true,
	"dlurlpath":                        true,
	"dlurlpathonly":                    true,
	"dlurlpathwrite":                   true,
	"dlurlscheme":                      true,
	"dlurlserver":                      true,
	"dlvalue":                          true,
	"do":                               true,
	"double":                           true,
	"drop":                             true,
	"dual":                             true,
	"dumpfile":                         true,
	"duplicate":                        true,
	"dynamic":                          true,
	"each":                             true,
	"element":                          true,
	"else":                             true,
	"elseif":                           true,
	"empty":                            true,
	"enable":                           true,
	"enclosed":                         true,
	"end":                              true,
	"end-exec":                         true,
	"ends":                             true,
	"end_frame":                        true,
	"end_partition":                    true,
	"engine":                           true,
	"engines":                          true,
	"enum":                             true,
	"equals":                           true,
	"error":                            true,
	"errors":                           true,
	"escape":                           true,
	"escaped":                          true,
	"event":                            true,
	"events":                           true,
	"every":                            true,
	"except":                           true,
	"exception":                        true,
	"exchange":                         true,
	"exclusive":                        true,
	"exec":                             true,
	"execute":                          true,
	"exists":                           true,
	"exit":                             true,
	"exp":                              true,
	"expansion":                        true,
	"expire":                           true,
	"explain":                          true,
	"export":                           true,
	"extended":                         true,
	"extent_size":                      true,
	"external":                         true,
	"extract":                          true,
	"fail":                             true,
	"false":                            true,
	"fast":                             true,
	"faults":                           true,
	"fetch":                            true,
	"fields":                           true,
	"file":                             true,
	"filter":                           true,
	"first_value":                      true,
	"fixed":                            true,
	"float":                            true,
	"float4":                           true,
	"float8":                           true,
	"floor":                            true,
	"flush":                            true,
	"for":                              true,
	"force":                            true,
	"foreign":                          true,
	"format":                           true,
	"found":                            true,
	"frame_row":                        true,
	"free":                             true,
	"from":                             true,
	"full":                             true,
	"fulltext":                         true,
	"function":                         true,
	"fusion":                           true,
	"general":                          true,
	"geometry":                         true,
	"geometrycollection":               true,
	"get":                              true,
	"get_format":                       true,
	"glob":                             true,
	"global":                           true,
	"go":                               true,
	"goto":                             true,
	"grant":                            true,
	"grants":                           true,
	"group":                            true,
	"grouping":                         true,
	"groups":                           true,
	"handler":                          true,
	"hash":                             true,
	"having":                           true,
	"help":                             true,
	"high_priority":                    true,
	"hold":                             true,
	"host":                             true,
	"hosts":                            true,
	"hour":                             true,
	"hour_microsecond":                 true,
	"hour_minute":                      true,
	"hour_second":                      true,
	"identified":                       true,
	"identity":                         true,
	"if":                               true,
	"ignore":                           true,
	"ignore_server_ids":                true,
	"import":                           true,
	"in":                               true,
	"index":                            true,
	"indexed":                          true,
	"indexes":                          true,
	"indicator":                        true,
	"infile":                           true,
	"initial":                          true,
	"initially":                        true,
	"initial_size":                     true,
	"inner":                            true,
	"inout":                            true,
	"insensitive":                      true,
	"insert":                           true,
	"insert_method":                    true,
	"install":                          true,
	"int":                              true,
	"int1":                             true,
	"int2":                             true,
	"int3":                             true,
	"int4":                             true,
	"int8":                             true,
	"integer":                          true,
	"intersect":                        true,
	"intersection":                     true,
	"interval":                         true,
	"into":                             true,
	"io":                               true,
	"io_after_gtids":                   true,
	"io_before_gtids":                  true,
	"io_thread":                        true,
	"ipc":                              true,
	"is":                               true,
	"isnull":                           true,
	"issuer":                           true,
	"iterate":                          true,
	"join":                             true,
	"json_array":                       true,
	"json_arrayagg":                    true,
	"json_exists":                      true,
	"json_object":                      true,
	"json_objectagg":                   true,
	"json_query":                       true,
	"json_table":                       true,
	"json_table_primitive":             true,
	"json_value":                       true,
	"keys":                             true,
	"key_block_size":                   true,
	"kill":                             true,
	"lag":                              true,
	"language":                         true,
	"large":                            true,
	"last_value":                       true,
	"lateral":                          true,
	"lead":                             true,
	"leading":                          true,
	"leave":                            true,
	"leaves":                           true,
	"left":                             true,
	"less":                             true,
	"like":                             true,
	"like_regex":                       true,
	"limit":                            true,
	"linear":                           true,
	"lines":                            true,
	"linestring":                       true,
	"list":                             true,
	"listagg":                          true,
	"ln":                               true,
	"load":                             true,
	"local":                            true,
	"localtime":                        true,
	"localtimestamp":                   true,
	"lock":                             true,
	"locks":                            true,
	"log":                              true,
	"log10":                            true,
	"logfile":                          true,
	"logs":                             true,
	"long":                             true,
	"longblob":                         true,
	"longtext":                         true,
	"loop":                             true,
	"lower":                            true,
	"low_priority":                     true,
	"master":                           true,
	"master_auto_position":             true,
	"master_bind":                      true,
	"master_connect_retry":             true,
	"master_delay":                     true,
	"master_heartbeat_period":          true,
	"master_host":                      true,
	"master_log_file":                  true,
	"master_log_pos":                   true,
	"master_password":                  true,
	"master_port":                      true,
	"master_retry_count":               true,
	"master_server_id":                 true,
	"master_ssl":                       true,
	"master_ssl_ca":                    true,
	"master_ssl_capath":                true,
	"master_ssl_cert":                  true,
	"master_ssl_cipher":                true,
	"master_ssl_crl":                   true,
	"master_ssl_crlpath":               true,
	"master_ssl_key":                   true,
	"master_ssl_verify_server_cert":    true,
	"master_user":                      true,
	"match":                            true,
	"matches":                          true,
	"match_number":                     true,
	"match_recognize":                  true,
	"max":                              true,
	"max_connections_per_hour":         true,
	"max_queries_per_hour":             true,
	"max_rows":                         true,
	"max_size":                         true,
	"max_updates_per_hour":             true,
	"max_user_connections":             true,
	"measures":                         true,
	"medium":                           true,
	"mediumblob":                       true,
	"mediumint":                        true,
	"mediumtext":                       true,
	"member":                           true,
	"memory":                           true,
	"merge":                            true,
	"message_text":                     true,
	"method":                           true,
	"microsecond":                      true,
	"middleint":                        true,
	"migrate":                          true,
	"min":                              true,
	"minute":                           true,
	"minute_microsecond":               true,
	"minute_second":                    true,
	"min_rows":                         true,
	"mod":                              true,
	"mode":                             true,
	"modifies":                         true,
	"modify":                           true,
	"module":                           true,
	"month":                            true,
	"multilinestring":                  true,
	"multipoint":                       true,
	"multipolygon":                     true,
	"multiset":                         true,
	"mutex":                            true,
	"national":                         true,
	"natural":                          true,
	"nchar":                            true,
	"nclob":                            true,
	"ndb":                              true,
	"ndbcluster":                       true,
	"new":                              true,
	"no":                               true,
	"nodegroup":                        true,
	"none":                             true,
	"normalize":                        true,
	"not":                              true,
	"nothing":                          true,
	"notnull":                          true,
	"no_wait":                          true,
	"no_write_to_binlog":               true,
	"nth_value":                        true,
	"ntile":                            true,
	"null":                             true,
	"nullif":                           true,
	"number":                           true,
	"numeric":                          true,
	"nvarchar":                         true,
	"occurrences_regex":                true,
	"octet_length":                     true,
	"of":                               true,
	"offset":                           true,
	"old":                              true,
	"old_password":                     true,
	"omit":                             true,
	"on":                               true,
	"one":                              true,
	"one_shot":                         true,
	"only":                             true,
	"open":                             true,
	"optimize":                         true,
	"optionally":                       true,
	"or":                               true,
	"order":                            true,
	"out":                              true,
	"outer":                            true,
	"outfile":                          true,
	"output":                           true,
	"over":                             true,
	"overlaps":                         true,
	"overlay":                          true,
	"owner":                            true,
	"pack_keys":                        true,
	"pad":                              true,
	"page":                             true,
	"parameter":                        true,
	"parser":                           true,
	"partition":                        true,
	"partitioning":                     true,
	"partitions":                       true,
	"password":                         true,
	"pattern":                          true,
	"per":                              true,
	"percent":                          true,
	"percentile_cont":                  true,
	"percentile_disc":                  true,
	"percent_rank":                     true,
	"period":                           true,
	"permute":                          true,
	"phase":                            true,
	"plan":                             true,
	"plugin":                           true,
	"plugins":                          true,
	"plugin_dir":                       true,
	"point":                            true,
	"polygon":                          true,
	"port":                             true,
	"portion":                          true,
	"position":                         true,
	"position_regex":                   true,
	"power":                            true,
	"pragma":                           true,
	"precedes":                         true,
	"precision":                        true,
	"prepare":                          true,
	"prev":                             true,
	"primary":                          true,
	"procedure":                        true,
	"processlist":                      true,
	"profile":                          true,
	"profiles":                         true,
	"proxy":                            true,
	"ptf":                              true,
	"public":                           true,
	"purge":                            true,
	"quarter":                          true,
	"query":                            true,
	"quick":                            true,
	"raise":                            true,
	"range":                            true,
	"rank":                             true,
	"reads":                            true,
	"read_only":                        true,
	"read_write":                       true,
	"real":                             true,
	"rebuild":                          true,
	"recover":                          true,
	"recursive":                        true,
	"redofile":                         true,
	"redo_buffer_size":                 true,
	"redundant":                        true,
	"ref":                              true,
	"references":                       true,
	"referencing":                      true,
	"regexp":                           true,
	"regr_avgx":                        true,
	"regr_avgy":                        true,
	"regr_count":                       true,
	"regr_intercept":                   true,
	"regr_r2":                          true,
	"regr_slope":                       true,
	"regr_sxx":                         true,
	"regr_sxy":                         true,
	"regr_syy":                         true,
	"reindex":                          true,
	"relay":                            true,
	"relaylog":                         true,
	"relay_log_file":                   true,
	"relay_log_pos":                    true,
	"relay_thread":                     true,
	"release":                          true,
	"reload":                           true,
	"remove":                           true,
	"rename":                           true,
	"reorganize":                       true,
	"repair":                           true,
	"repeat":                           true,
	"replace":                          true,
	"replication":                      true,
	"require":                          true,
	"reset":                            true,
	"resignal":                         true,
	"restore":                          true,
	"result":                           true,
	"resume":                           true,
	"return":                           true,
	"returned_sqlstate":                true,
	"returns":                          true,
	"reverse":                          true,
	"revoke":                           true,
	"right":                            true,
	"rlike":                            true,
	"rollback":                         true,
	"rollup":                           true,
	"row":                              true,
	"rows":                             true,
	"row_count":                        true,
	"row_format":                       true,
	"row_number":                       true,
	"rtree":                            true,
	"running":                          true,
	"savepoint":                        true,
	"schedule":                         true,
	"schemas":                          true,
	"schema_name":                      true,
	"scope":                            true,
	"scroll":                           true,
	"search":                           true,
	"second":                           true,
	"second_microsecond":               true,
	"section":                          true,
	"seek":                             true,
	"select":                           true,
	"sensitive":                        true,
	"separator":                        true,
	"serial":                           true,
	"session_user":                     true,
	"set":                              true,
	"share":                            true,
	"show":                             true,
	"shutdown":                         true,
	"signal":                           true,
	"signed":                           true,
	"similar":                          true,
	"sin":                              true,
	"sinh":                             true,
	"size":                             true,
	"skip":                             true,
	"slave":                            true,
	"slow":                             true,
	"smallint":                         true,
	"snapshot":                         true,
	"socket":                           true,
	"some":                             true,
	"soname":                           true,
	"sounds":                           true,
	"source":                           true,
	"space":                            true,
	"spatial":                          true,
	"specific":                         true,
	"specifictype":                     true,
	"sql":                              true,
	"sqlcode":                          true,
	"sqlerror":                         true,
	"sqlexception":                     true,
	"sqlstate":                         true,
	"sqlwarning":                       true,
	"sql_after_gtids":                  true,
	"sql_after_mts_gaps":               true,
	"sql_before_gtids":                 true,
	"sql_big_result":                   true,
	"sql_buffer_result":                true,
	"sql_cache":                        true,
	"sql_calc_found_rows":              true,
	"sql_no_cache":                     true,
	"sql_small_result":                 true,
	"sql_thread":                       true,
	"sql_tsi_day":                      true,
	"sql_tsi_hour":                     true,
	"sql_tsi_minute":                   true,
	"sql_tsi_month":                    true,
	"sql_tsi_quarter":                  true,
	"sql_tsi_second":                   true,
	"sql_tsi_week":                     true,
	"sql_tsi_year":                     true,
	"sqrt":                             true,
	"ssl":                              true,
	"start":                            true,
	"starting":                         true,
	"starts":                           true,
	"static":                           true,
	"stats_auto_recalc":                true,
	"stats_persistent":                 true,
	"stats_sample_pages":               true,
	"status":                           true,
	"stddev_pop":                       true,
	"stddev_samp":                      true,
	"stop":                             true,
	"storage":                          true,
	"straight_join":                    true,
	"string":                           true,
	"subclass_origin":                  true,
	"subject":                          true,
	"submultiset":                      true,
	"subpartition":                     true,
	"subpartitions":                    true,
	"subset":                           true,
	"substring":                        true,
	"substring_regex":                  true,
	"succeeds":                         true,
	"sum":                              true,
	"super":                            true,
	"suspend":                          true,
	"swaps":                            true,
	"switches":                         true,
	"symmetric":                        true,
	"system":                           true,
	"system_time":                      true,
	"system_user":                      true,
	"table":                            true,
	"tables":                           true,
	"tablesample":                      true,
	"tablespace":                       true,
	"table_checksum":                   true,
	"table_name":                       true,
	"tan":                              true,
	"tanh":                             true,
	"temp":                             true,
	"temptable":                        true,
	"terminated":                       true,
	"text":                             true,
	"than":                             true,
	"then":                             true,
	"time":                             true,
	"timestamp":                        true,
	"timestampadd":                     true,
	"timestampdiff":                    true,
	"timezone_hour":                    true,
	"timezone_minute":                  true,
	"tinyblob":                         true,
	"tinyint":                          true,
	"tinytext":                         true,
	"to":                               true,
	"trailing":                         true,
	"translate":                        true,
	"translate_regex":                  true,
	"translation":                      true,
	"treat":                            true,
	"trigger":                          true,
	"triggers":                         true,
	"trim":                             true,
	"trim_array":                       true,
	"true":                             true,
	"truncate":                         true,
	"types":                            true,
	"uescape":                          true,
	"undefined":                        true,
	"undo":                             true,
	"undofile":                         true,
	"undo_buffer_size":                 true,
	"unicode":                          true,
	"uninstall":                        true,
	"union":                            true,
	"unique":                           true,
	"unknown":                          true,
	"unlock":                           true,
	"unmatched":                        true,
	"unnest":                           true,
	"unsigned":                         true,
	"until":                            true,
	"update":                           true,
	"upgrade":                          true,
	"upper":                            true,
	"usage":                            true,
	"use":                              true,
	"user":                             true,
	"user_resources":                   true,
	"use_frm":                          true,
	"using":                            true,
	"utc_date":                         true,
	"utc_time":                         true,
	"utc_timestamp":                    true,
	"vacuum":                           true,
	"value":                            true,
	"values":                           true,
	"value_of":                         true,
	"varbinary":                        true,
	"varchar":                          true,
	"varcharacter":                     true,
	"variables":                        true,
	"varying":                          true,
	"var_pop":                          true,
	"var_samp":                         true,
	"versioning":                       true,
	"virtual":                          true,
	"wait":                             true,
	"warnings":                         true,
	"week":                             true,
	"weight_string":                    true,
	"when":                             true,
	"whenever":                         true,
	"where":                            true,
	"while":                            true,
	"width_bucket":                     true,
	"window":                           true,
	"with":                             true,
	"within":                           true,
	"without":                          true,
	"x509":                             true,
	"xa":                               true,
	"xml":                              true,
	"xmlagg":                           true,
	"xmlattributes":                    true,
	"xmlbinary":                        true,
	"xmlcast":                          true,
	"xmlcomment":                       true,
	"xmlconcat":                        true,
	"xmldocument":                      true,
	"xmlelement":                       true,
	"xmlexists":                        true,
	"xmlforest":                        true,
	"xmliterate":                       true,
	"xmlnamespaces":                    true,
	"xmlparse":                         true,
	"xmlpi":                            true,
	"xmlquery":                         true,
	"xmlserialize":                     true,
	"xmltable":                         true,
	"xmltext":                          true,
	"xmlvalidate":                      true,
	"xor":                              true,
	"year":                             true,
	"year_month":                       true,
	"zerofill":                         true,
}
